import { select, arc } from 'd3';

const svg = select('svg');

const height = +svg.attr('height');
const width = +svg.attr('width');

const eyeSpacing = 100;
const eyeYOffset = -70;
const eyeRadius = 30;
const eyebrowWidth = 60;
const eyebrowHeight = 20;
const eyebrowYOffset = -70;

const g = svg.append('g')
  .attr('transform', `translate(${width/2}, ${height/2})`);

const circle = g.append('circle')
  .attr('r', height / 2)
  .attr('fill', 'yellow')
  .attr('stroke', 'black');

const noseG = g.append('g')
	.attr('transform', 'translate(-10, 0)');

const nose = noseG.append('rect')
	.attr('width', 20)
  .attr('height', 30)

const eyesG = g.append('g')
  .attr('transform', `translate(0, ${eyeYOffset})`);

const leftEye = eyesG.append('circle')
  .attr('r', eyeRadius)
  .attr('cx', -eyeSpacing)

const righttEye = eyesG.append('circle')
  .attr('r', eyeRadius)
  .attr('cx',  eyeSpacing)

const eyebrowsG = eyesG
	.append('g')
		.attr('transform', `translate(0, ${eyebrowYOffset})`)

eyebrowsG
  .transition().duration(2000)
		.attr('transform', `translate(0, ${eyebrowYOffset - 50})`)
  .transition().duration(2000)
    .attr('transform', `translate(0, ${eyebrowYOffset})`)

const leftEyebrow = eyebrowsG
	.append('rect')
  	.attr('x', -eyeSpacing - eyebrowWidth / 2)
  	.attr('width', eyebrowWidth)
  	.attr('height', eyebrowHeight)

const rightEyebrow = eyebrowsG
	.append('rect')
  	.attr('x', eyeSpacing - eyebrowWidth / 2)
  	.attr('width', eyebrowWidth)
  	.attr('height', eyebrowHeight)


const mouth = g.append('path')
  .attr('d', arc()({
    innerRadius: 150,
    outerRadius: 170,
    startAngle: Math.PI / 2,
    endAngle: Math.PI * 3 / 2
  }));